Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14254)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14255)
@@ -144,5 +144,5 @@
         self.assertMatches('...Amount Authorized...', self.browser.contents)
         self.assertTrue(
-            '<span>42500.0</span>' in self.browser.contents)
+            '<span>29500.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
 
@@ -159,8 +159,8 @@
                            self.browser.contents)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="4250000" />' in
-            self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee" item_amt="3920000" bank_id="10" acct_num="0106259811"' in
+            '<input type="hidden" name="amount" value="2950000" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="2620000" bank_id="10" acct_num="0106259811"' in
             self.browser.contents)
         self.assertTrue(
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 14254)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 14255)
@@ -248,5 +248,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 48500.0)
+        self.assertEqual(payment.amount_auth, 35090.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -254,5 +254,5 @@
         configuration.penalty_ug = 5000.0
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 53500.0)
+        self.assertEqual(payment.amount_auth, 40090.0)
         self.assertEqual(error, None)
 
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 14254)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 14255)
@@ -56,20 +56,20 @@
         (
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (34500.0, 55500.0, 44500.0, 42500.0, 44500.0, 0.0, 62000.0, 46500.0, 44000.0, 46500.0, 0.0, 48750.0), # science
-            (34500.0, 52500.0, 41500.0, 39500.0, 41500.0, 0.0, 59000.0, 43500.0, 41000.0, 43500.0, 0.0, 47200.0)  # arts
+            (34500.0, 55500.0, 34600.0, 29500.0, 34600.0, 0.0, 62000.0, 36600.0, 32700.0, 36600.0, 0.0, 48750.0), # science
+            (34500.0, 52500.0, 31600.0, 32500.0, 31600.0, 0.0, 59000.0, 33600.0, 35700.0, 33600.0, 0.0, 47200.0)  # arts
           ), # local
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (49600.0, 75500.0, 55500.0, 48500.0, 55500.0, 0.0, 79000.0, 59500.0, 51000.0, 59500.0, 0.0, 63180.0), # science
-            (49600.0, 72500.0, 52500.0, 45500.0, 52500.0, 0.0, 76000.0, 56500.0, 48000.0, 56500.0, 0.0, 61680.0)  # arts
+            (49600.0, 75500.0, 42100.0, 35090.0, 42100.0, 0.0, 79000.0, 46600.0, 38900.0, 46600.0, 0.0, 63180.0), # science
+            (49600.0, 72500.0, 39100.0, 32090.0, 39100.0, 0.0, 76000.0, 43600.0, 35900.0, 43600.0, 0.0, 61680.0)  # arts
           ), # non-local
         ), # ft
         (
           ( # 10    100       110    200      210      300      400        410    500     510       600     999
-            (0.0, 56000.0, 44500.0, 44000.0, 44500.0, 44000.0, 56500.0, 46500.0, 45000.0, 46500.0, 45000.0, 0.0), # science
-            (0.0, 53000.0, 41500.0, 41000.0, 41500.0, 41000.0, 53500.0, 43500.0, 42000.0, 43500.0, 42000.0, 0.0)  # arts
+            (0.0, 56000.0, 34600.0, 34400.0, 34600.0, 34400.0, 56500.0, 36600.0, 36500.0, 36600.0, 36500.0, 0.0), # science
+            (0.0, 53000.0, 31600.0, 31400.0, 31600.0, 31400.0, 53500.0, 33600.0, 33500.0, 33600.0, 33500.0, 0.0)  # arts
           ), # local
           ( # 10   100         110    200       210      300      400     410      500     510      600     999
-            (0.0, 73000.0, 55500.0, 50000.0, 55500.0, 50000.0, 78000.0, 59500.0, 60000.0, 58500.0, 60000.0, 0.0), # science
-            (0.0, 70000.0, 52500.0, 47000.0, 52500.0, 47000.0, 75000.0, 56500.0, 57000.0, 56500.0, 57000.0, 0.0)  # arts
+            (0.0, 73000.0, 42100.0, 37350.0, 42100.0, 37350.0, 78000.0, 46600.0, 46850.0, 46600.0, 46850.0, 0.0), # science
+            (0.0, 70000.0, 39100.0, 34350.0, 39100.0, 34350.0, 75000.0, 43600.0, 43850.0, 43600.0, 43850.0, 0.0)  # arts
           ), # non-local
         ), # we