Index: /main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 14257)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 14258)
@@ -152,5 +152,5 @@
         )
 
-    text_book_1_fee = schema.Float(
+    gst_text_book_1_fee = schema.Float(
         title = _(u'Text Book Fee GST101 GST102'),
         default = 0.0,
@@ -158,5 +158,5 @@
         )
 
-    text_book_2_fee = schema.Float(
+    gst_text_book_2_fee = schema.Float(
         title = _(u'Text Book Fee GST111 GST112'),
         default = 0.0,
@@ -164,5 +164,5 @@
         )
 
-    text_book_3_fee = schema.Float(
+    gst_text_book_3_fee = schema.Float(
         title = _(u'Text Book Fee GST222'),
         default = 0.0,
@@ -170,5 +170,5 @@
         )
 
-    text_book_4_fee = schema.Float(
+    ent_text_book_4_fee = schema.Float(
         title = _(u'Text Book Fee ENT201'),
         default = 0.0,
@@ -176,5 +176,5 @@
         )
 
-    registration_1_fee = schema.Float(
+    gst_registration_1_fee = schema.Float(
         title = _(u'Registration Fee GST101 GST102 GST111 GST112'),
         default = 0.0,
@@ -182,5 +182,5 @@
         )
 
-    registration_2_fee = schema.Float(
+    gst_registration_2_fee = schema.Float(
         title = _(u'Registration Fee GST222'),
         default = 0.0,
@@ -188,5 +188,5 @@
         )
 
-    registration_3_fee = schema.Float(
+    ent_registration_3_fee = schema.Float(
         title = _(u'Registration Fee ENT201'),
         default = 0.0,
Index: /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 14257)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 14258)
@@ -472,4 +472,43 @@
 </payment_item_detail>""" % xmldict
 
+        # GST Fees
+        elif self.context.p_category.startswith('gst_'):
+            self.pay_item_id = '116'
+            xmldict['institution_acct'] = '1010893123'
+            xmldict['institution_bank_id'] = '117'
+            xmldict['institution_amt'] = 100 * (
+                gateway_net_amt(self.context.amount_auth))
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        # ENT Fees
+        elif self.context.p_category.startswith('ent_'):
+            self.pay_item_id = '118'
+            xmldict['institution_acct'] = '6220029828'
+            xmldict['institution_bank_id'] = '51'
+            xmldict['institution_amt'] = 100 * (
+                gateway_net_amt(self.context.amount_auth))
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+        # Faculty and Departmental Dues
+        elif self.context.p_category == 'fac_dep':
+            self.pay_item_id = '117'
+            xmldict['institution_acct'] = '1010827641'
+            xmldict['institution_bank_id'] = '117'
+            xmldict['institution_amt'] = 100 * (
+                gateway_net_amt(self.context.amount_auth))
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
         self.context.provider_amt = provider_amt
Index: /main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 14257)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 14258)
@@ -48,11 +48,11 @@
         'concessional': 'Concessional Fee',
         'id_card': 'Student ID Card',
-        'text_book_1': 'Text Book Fee GST101 GST102',
-        'text_book_2': 'Text Book Fee GST111 GST112',
-        'text_book_3': 'Text Book Fee GST222',
-        'text_book_4': 'Text Book Fee ENT201',
-        'registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
-        'registration_2': 'Registration Fee GST222',
-        'registration_3': 'Registration Fee ENT201',
+        'gst_text_book_1': 'Text Book Fee GST101 GST102',
+        'gst_text_book_2': 'Text Book Fee GST111 GST112',
+        'gst_text_book_3': 'Text Book Fee GST222',
+        'ent_text_book_4': 'Text Book Fee ENT201',
+        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
+        'gst_registration_2': 'Registration Fee GST222',
+        'ent_registration_3': 'Registration Fee ENT201',
         'fac_dep': 'Faculty and Departmental Dues',
         }
@@ -77,11 +77,11 @@
         'concessional': 'Concessional Fee',
         #'id_card': 'Student ID Card',
-        'text_book_1': 'Text Book Fee GST101 GST102',
-        'text_book_2': 'Text Book Fee GST111 GST112',
-        'text_book_3': 'Text Book Fee GST222',
-        'text_book_4': 'Text Book Fee ENT201',
-        'registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
-        'registration_2': 'Registration Fee GST222',
-        'registration_3': 'Registration Fee ENT201',
+        'gst_text_book_1': 'Text Book Fee GST101 GST102',
+        'gst_text_book_2': 'Text Book Fee GST111 GST112',
+        'gst_text_book_3': 'Text Book Fee GST222',
+        'ent_text_book_4': 'Text Book Fee ENT201',
+        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
+        'gst_registration_2': 'Registration Fee GST222',
+        'ent_registration_3': 'Registration Fee ENT201',
         'fac_dep': 'Faculty and Departmental Dues',
         }
@@ -107,11 +107,11 @@
         'matric_gown': 'Matriculation Gown Fee',
         'id_card': 'Student ID Card',
-        'text_book_1': 'Text Book Fee GST101 GST102',
-        'text_book_2': 'Text Book Fee GST111 GST112',
-        'text_book_3': 'Text Book Fee GST222',
-        'text_book_4': 'Text Book Fee ENT201',
-        'registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
-        'registration_2': 'Registration Fee GST222',
-        'registration_3': 'Registration Fee ENT201',
+        'gst_text_book_1': 'Text Book Fee GST101 GST102',
+        'gst_text_book_2': 'Text Book Fee GST111 GST112',
+        'gst_text_book_3': 'Text Book Fee GST222',
+        'ent_text_book_4': 'Text Book Fee ENT201',
+        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
+        'gst_registration_2': 'Registration Fee GST222',
+        'ent_registration_3': 'Registration Fee ENT201',
         'fac_dep': 'Faculty and Departmental Dues',
         }