Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 14264)
@@ -138,6 +138,6 @@
               <option tal:repeat="user view/getUsers"
                       tal:attributes="value user/name">
-              <span tal:replace="user/val/title">USERTITLE
-              </span>
+              <span tal:replace="user/val/title">USERTITLE</span>
+              (<span tal:replace="user/val/name">USERNAME</span>)
               </option>
             </select> </td> <td>
@@ -145,6 +145,5 @@
               <option tal:repeat="localrole view/getLocalRoles"
                       tal:attributes="value localrole/name">
-              <span tal:replace="localrole/title">LOCALROLETITLE
-              </span>
+              <span tal:replace="localrole/title">LOCALROLETITLE</span>
               </option>
             </select> </td> <td>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 14264)
@@ -117,6 +117,6 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
+            <span tal:replace="user/val/title">USERTITLE</span>
+            (<span tal:replace="user/val/name">USERNAME</span>)
             </option>
           </select>
@@ -126,6 +126,5 @@
             <option tal:repeat="localrole view/getLocalRoles"
                     tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
+            <span tal:replace="localrole/title">LOCALROLETITLE</span>
             </option>
           </select>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 14264)
@@ -126,6 +126,6 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
+            <span tal:replace="user/val/title">USERTITLE</span>
+            (<span tal:replace="user/val/name">USERNAME</span>)
             </option>
           </select>
@@ -135,6 +135,5 @@
             <option tal:repeat="localrole view/getLocalRoles"
                     tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
+            <span tal:replace="localrole/title">LOCALROLETITLE</span>
             </option>
           </select>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 14264)
@@ -63,6 +63,6 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
+            <span tal:replace="user/val/title">USERTITLE</span>
+            (<span tal:replace="user/val/name">USERNAME</span>)
             </option>
           </select>
@@ -72,6 +72,5 @@
             <option tal:repeat="localrole view/getLocalRoles"
                     tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
+            <span tal:replace="localrole/title">LOCALROLETITLE</span>
             </option>
           </select>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 14264)
@@ -126,6 +126,6 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
+            <span tal:replace="user/val/title">USERTITLE</span>
+            (<span tal:replace="user/val/name">USERNAME</span>)
             </option>
           </select>
@@ -135,6 +135,5 @@
             <option tal:repeat="localrole view/getLocalRoles"
                     tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
+            <span tal:replace="localrole/title">LOCALROLETITLE</span>
             </option>
           </select>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/documentmanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/documentmanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/documentmanagepage.pt	(revision 14264)
@@ -74,6 +74,6 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
+            <span tal:replace="user/val/title">USERTITLE</span>
+            (<span tal:replace="user/val/name">USERNAME</span>)
             </option>
           </select>
@@ -83,6 +83,5 @@
             <option tal:repeat="localrole view/getLocalRoles"
                     tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
+            <span tal:replace="localrole/title">LOCALROLETITLE</span>
             </option>
           </select>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/htmldocumentmanagepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/htmldocumentmanagepage.pt	(revision 14263)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/htmldocumentmanagepage.pt	(revision 14264)
@@ -63,6 +63,6 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE
-            </span>
+            <span tal:replace="user/val/title">USERTITLE</span>
+            (<span tal:replace="user/val/name">USERNAME</span>)
             </option>
           </select>
@@ -72,6 +72,5 @@
             <option tal:repeat="localrole view/getLocalRoles"
                     tal:attributes="value localrole/name">
-            <span tal:replace="localrole/title">LOCALROLETITLE
-            </span>
+            <span tal:replace="localrole/title">LOCALROLETITLE</span>
             </option>
           </select>