Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/applicant.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/applicant.py	(revision 14268)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/applicant.py	(revision 14270)
@@ -33,25 +33,8 @@
 
     applicant_student_mapping = NigeriaApplicant.applicant_student_mapping + [
-        ('fst_sit_fname', 'fst_sit_fname'),
-        ('fst_sit_no', 'fst_sit_no'),
-        ('fst_sit_date', 'fst_sit_date'),
-        ('fst_sit_type', 'fst_sit_type'),
-        ('fst_sit_results', 'fst_sit_results'),
-        ('scd_sit_fname', 'scd_sit_fname'),
-        ('scd_sit_no', 'scd_sit_no'),
-        ('scd_sit_date', 'scd_sit_date'),
-        ('scd_sit_type', 'scd_sit_type'),
-        ('scd_sit_results', 'scd_sit_results'),
         ('alr_fname', 'alr_fname'),
         ('alr_no', 'alr_no'),
         ('alr_date', 'alr_date'),
         ('alr_results', 'alr_results'),
-        ('hq_type', 'hq_type'),
-        ('hq_fname', 'hq_fname'),
-        ('hq_matric_no', 'hq_matric_no'),
-        ('hq_degree', 'hq_degree'),
-        ('hq_school', 'hq_school'),
-        ('hq_session', 'hq_session'),
-        ('hq_disc', 'hq_disc'),
         #('', ''),
         ]
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/reports/level_report.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/reports/level_report.py	(revision 14270)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/reports/level_report.py	(revision 14270)
@@ -0,0 +1,38 @@
+## $Id$
+##
+## Copyright (C) 2013 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
+from waeup.kofa.students.reports.level_report import (
+    LevelReport, LevelReportGenerator)
+
+class CustomLevelReport(LevelReport):
+
+    note = """
+<br /><br /><br /><br />
+<font size='10'>
+<strong>Note:</strong> This copy is subject to correction for typographical errors and ratification by the departmental board.
+</font>
+"""
+
+class LevelReportGenerator(LevelReportGenerator):
+
+    def generate(self, site, faccode=None, depcode=None,
+                 session=None, level=None, author=None):
+        result = CustomLevelReport(faccode=faccode, depcode=depcode,
+                             session=session, level=level, author=author)
+        return result
+
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/reports/session_results_presentation.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/reports/session_results_presentation.py	(revision 14270)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/reports/session_results_presentation.py	(revision 14270)
@@ -0,0 +1,37 @@
+## $Id$
+##
+## Copyright (C) 2013 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
+from waeup.kofa.students.reports.session_results_presentation import (
+    SessionResultsPresentation, SessionResultsPresentationGenerator)
+
+class CustomSessionResultsPresentation(SessionResultsPresentation):
+
+    note = """
+<br /><br /><br /><br />
+<font size='10'>
+<strong>Note:</strong> This copy is subject to correction for typographical errors and ratification by the departmental board.
+</font>
+"""
+
+class CustomSessionResultsPresentationGenerator(SessionResultsPresentationGenerator):
+
+    def generate(self, site, faccode=None, depcode=None,
+                 session=None, level=None, author=None):
+        result = CustomSessionResultsPresentation(faccode=faccode, depcode=depcode,
+                             session=session, level=level, author=author)
+        return result
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_level_report.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_level_report.py	(revision 14268)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_level_report.py	(revision 14270)
@@ -9,4 +9,6 @@
 from waeup.kofa.students.tests.test_browser import StudentsFullSetup
 from waeup.kofa.browser.tests.test_pdf import samples_dir
+
+from waeup.aaue.students.reports.level_report import CustomLevelReport
 
 from waeup.aaue.testing import FunctionalLayer
@@ -33,5 +35,5 @@
     def test_create_pdf(self):
         self.student['studycourse']['100']['Course1'].ca = 0
-        report = LevelReport('fac1', 'dep1', 2010, 100)
+        report = CustomLevelReport('fac1', 'dep1', 2010, 100)
         result = report.create_pdf()
         self.assertTrue(result.startswith('%PDF-'))