Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 14275)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 14276)
@@ -75,5 +75,5 @@
     layer = FunctionalLayer
 
-    def test_applicatio_slip(self):
+    def test_application_slip(self):
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.slip_path = self.view_path + '/application_slip.pdf'
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 14275)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 14276)
@@ -30,5 +30,5 @@
 from kofacustom.skeleton.interfaces import MessageFactory as _
 
-PRODUCT_ID = '57'
+PRODUCT_ID = '' # must be provided by Interswitch
 SITE_NAME = 'skeleton-kofa.waeup.org'
 PROVIDER_ACCT = '00000000'
@@ -38,13 +38,12 @@
 CURRENCY = '566'
 GATEWAY_AMT = 150.0
-#QUERY_URL = 'https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx'
-#QUERY_URL = 'https://testwebpay.interswitchng.com/test_paydirect/services/TransactionQueryURL.aspx'
-POST_ACTION = 'https://webpay.interswitchng.com/paydirect/webpay/pay.aspx'
-#POST_ACTION = 'https://testwebpay.interswitchng.com/test_paydirect/webpay/pay.aspx'
 
-HOST = 'webpay.interswitchng.com'
-#HOST = 'testwebpay.interswitchng.com'
-URL = '/paydirect/services/TransactionQueryWs.asmx'
-#URL = '/test_paydirect/services/TransactionQueryWs.asmx'
+#POST_ACTION = 'https://webpay.interswitchng.com/paydirect/pay'
+POST_ACTION = 'https://stageserv.interswitchng.com/test_paydirect/pay'
+#HOST = 'webpay.interswitchng.com'
+HOST = 'stageserv.interswitchng.com'
+#URL = '/paydirect/api/v1/gettransaction.json'
+URL = '/test_paydirect/api/v1/gettransaction.json'
+
 httplib.HTTPSConnection.debuglevel = 0
 HTTPS = True
@@ -59,5 +58,5 @@
     currency = CURRENCY
     product_id = PRODUCT_ID
-    mac = ''
+    mac = ''  # must be provided by Interswitch
 
     def update(self):
@@ -79,5 +78,5 @@
         xmldict['institution_amt'] = '0.0'
         provider_amt = 0.0
-        self.pay_item_id = '0000'
+        self.pay_item_id = '0000' # must be provided by Interswitch
         xmldict['provider_amt'] = 100 * provider_amt
         xmldict['institution_item_name'] = self.context.category
@@ -121,5 +120,5 @@
     site_name = SITE_NAME
     currency = CURRENCY
-    pay_item_id = '0000'
+    pay_item_id = '0000' # must be provided by Interswitch
     product_id = PRODUCT_ID
     mac = ''
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 14275)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 14276)
@@ -59,5 +59,6 @@
             'next_kin_address,next_kin_name,next_kin_phone,next_kin_relation,'
             'nysc_lga,nysc_location,nysc_year,officer_comment,'
-            'perm_address,personal_updated,phone,physical_clearance_date,reg_number,'
+            'perm_address,personal_updated,phone,'
+            'physical_clearance_date,provisionally_cleared,reg_number,'
             'religion,scd_sit_date,scd_sit_fname,scd_sit_no,'
             'scd_sit_results,scd_sit_type,sex,student_id,'
@@ -67,5 +68,5 @@
             'anna@sample.com,,,,,,,,,,,,,Anna,,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
             ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'
-            '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,,123,,,,,'
+            '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,,,123,,,,,'
             '"[(\'printing_craft_practice\', \'A1\')]",,f,A111111,0,,,created,'
             '[u\'2012-11-06 13:16:41 WAT - Record created by system\'],'