Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 14297)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 14298)
@@ -75,4 +75,5 @@
     ICustomStudentPersonalEdit,
     ICustomUGStudentClearance,
+    ICustomUGStudentClearanceEdit,
     ICustomPGStudentClearance,
     ICustomCourseTicket,
@@ -165,5 +166,5 @@
             'physical_clearance_date')
         else:
-            form_fields = grok.AutoFields(ICustomUGStudentClearance).omit(
+            form_fields = grok.AutoFields(ICustomUGStudentClearanceEdit).omit(
             'clearance_locked', 'clr_code', 'officer_comment',
             'physical_clearance_date', 'date_of_birth', 'nationality', 'lga')
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 14297)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 14298)
@@ -431,4 +431,69 @@
             raise Invalid(_('Nationalty and LGA are contradictory.'))
 
+class ICustomUGStudentClearanceEdit(ICustomUGStudentClearance):
+    """Representation of ug student clearance data.
+
+    """
+
+    fst_sit_fname = schema.TextLine(
+        title = _(u'Full Name'),
+        required = True,
+        readonly = False,
+        )
+    fst_sit_no = schema.TextLine(
+        title = _(u'Exam Number'),
+        required = True,
+        readonly = False,
+        )
+
+    fst_sit_sc_pin = schema.TextLine(
+        title = _(u'Scratch Card Pin'),
+        required = True,
+        readonly = False,
+        )
+
+    fst_sit_sc_serial_number = schema.TextLine(
+        title = _(u'Scratch Card Serial Number'),
+        required = True,
+        readonly = False,
+        )
+
+    fst_sit_date = FormattedDate(
+        title = _(u'Exam Date'),
+        required = True,
+        readonly = False,
+        show_year = True,
+        )
+
+    fst_sit_type = schema.Choice(
+        title = _(u'Exam Type'),
+        required = True,
+        readonly = False,
+        vocabulary = exam_types,
+        )
+
+    fst_sit_results = schema.List(
+        title = _(u'Exam Results'),
+        value_type = ResultEntryField(),
+        required = True,
+        readonly = False,
+        defaultFactory=list,
+        )
+
+
+ICustomUGStudentClearanceEdit['fst_sit_fname'].order = ICustomUGStudentClearance[
+    'fst_sit_fname'].order
+ICustomUGStudentClearanceEdit['fst_sit_no'].order = ICustomUGStudentClearance[
+    'fst_sit_no'].order
+ICustomUGStudentClearanceEdit['fst_sit_sc_pin'].order = ICustomUGStudentClearance[
+    'fst_sit_sc_pin'].order
+ICustomUGStudentClearanceEdit['fst_sit_sc_serial_number'].order = ICustomUGStudentClearance[
+    'fst_sit_sc_serial_number'].order
+ICustomUGStudentClearanceEdit['fst_sit_date'].order = ICustomUGStudentClearance[
+    'fst_sit_date'].order
+ICustomUGStudentClearanceEdit['fst_sit_type'].order = ICustomUGStudentClearance[
+    'fst_sit_type'].order
+ICustomUGStudentClearanceEdit['fst_sit_results'].order = ICustomUGStudentClearance[
+    'fst_sit_results'].order
 
 class ICustomPGStudentClearance(INigeriaPGStudentClearance):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/student.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/student.py	(revision 14297)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/student.py	(revision 14298)
@@ -26,5 +26,6 @@
 from kofacustom.nigeria.students.student import NigeriaStudent
 from waeup.aaue.students.interfaces import (
-    ICustomStudent, ICustomStudentPersonalEdit)
+    ICustomStudent, ICustomStudentPersonalEdit,
+    ICustomUGStudentClearanceEdit)
 
 
@@ -34,5 +35,6 @@
     """
     grok.implements(ICustomStudent, IStudentNavigation,
-                    ICustomStudentPersonalEdit)
+                    ICustomStudentPersonalEdit,
+                    ICustomUGStudentClearanceEdit)
     grok.provides(ICustomStudent)
 