Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 14328)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 14329)
@@ -55,38 +55,38 @@
 #All special payments moved to GTBank on 15-10-2015
 SPECIAL_PAYMENT_PARAMS = {
-    'certificate': ('111', 200.0, 300.0, '0106259811', '10'),
-    'state_result': ('112', 200.0, 300.0, '0106259811', '10'),
-    'transcript_local': ('113', 200.0, 300.0, '0106259811', '10'),
-    'transcript_foreign': ('114', 200.0, 300.0, '0106259811', '10'),
-    'ver_result': ('115', 200.0, 300.0, '0106259811', '10'),
-    'change_course': ('116', 200.0, 300.0, '0106259811', '10'),
-    'change_inst': ('117', 200.0, 300.0, '0106259811', '10'),
-    'jamb_reject': ('118', 200.0, 300.0, '0106259811', '10'),
-    'cert_of_cert': ('119', 200.0, 300.0, '0106259811', '10'),
-    'ref_let': ('120', 200.0, 300.0, '0106259811', '10'),
-    'proc_cert': ('121', 200.0, 300.0, '0106259811', '10'),
-    'loss_idcard': ('122', 6.0, 9.0, '0106259811', '10'),
-    'loss_examcard': ('123', 3.0, 4.5, '0106259811', '10'),
-    'loss_result': ('124', 200.0, 300.0, '0106259811', '10'),
-    'loss_receipt': ('125', 200.0, 300.0, '0106259811', '10'),
-    'loss_clearance': ('126', 200.0, 300.0, '0106259811', '10'),
-    'conv_brochure': ('127', 200.0, 300.0, '0106259811', '10'),
-    'hnd_certificate': ('128', 200.0, 300.0, '0106259811', '10'),
-    'hnd_state_result': ('129', 200.0, 300.0, '0106259811', '10'),
-    'hnd_transcript_local': ('130', 200.0, 300.0, '0106259811', '10'),
-    'hnd_transcript_foreign': ('131', 200.0, 300.0, '0106259811', '10'),
-    'staff_loss_idcard': ('132', 6.0, 9.0, '0106259811', '10'),
-    'hnd_conv_brochure': ('133', 200.0, 300.0, '0106259811', '10'),
-    'pgd_state_result': ('134', 200.0, 300.0, '0106259811', '10'),
-    'pgd_conv_brochure': ('135', 200.0, 300.0, '0106259811', '10'),
-    'pgd_certificate': ('136', 200.0, 300.0, '0106259811', '10'),
-    'log_book': ('137', 3.0, 4.5, '0106259811', '10'),
-    'pgd_transcript_foreign': ('138', 200.0, 300.0, '0106259811', '10'),
-    'pgd_transcript_local': ('139', 200.0, 300.0, '0106259811', '10'),
-    'jamb_regularization': ('140', 200.0, 300.0, '0106259811', '10'),
-    'utme_registration': ('142', 6.0, 9.0, '0106259811', '10'),
-    'utme_cbt': ('143', 6.0, 9.0, '0106259811', '10'),
-    'nysc_id_card': ('144', 6.0, 9.0, '0106259811', '10'),
-    'ijmb_result': ('147', 200.0, 300.0, '0106259811', '10'),
+    'certificate': ('111', 200.0, 300.0, '0838798044', '76'),
+    'state_result': ('112', 200.0, 300.0, '0838798044', '76'),
+    'transcript_local': ('113', 200.0, 300.0, '0838798044', '76'),
+    'transcript_foreign': ('114', 200.0, 300.0, '0838798044', '76'),
+    'ver_result': ('115', 200.0, 300.0, '0838798044', '76'),
+    'change_course': ('116', 200.0, 300.0, '0838798044', '76'),
+    'change_inst': ('117', 200.0, 300.0, '0838798044', '76'),
+    'jamb_reject': ('118', 200.0, 300.0, '0838798044', '76'),
+    'cert_of_cert': ('119', 200.0, 300.0, '0838798044', '76'),
+    'ref_let': ('120', 200.0, 300.0, '0838798044', '76'),
+    'proc_cert': ('121', 200.0, 300.0, '0838798044', '76'),
+    'loss_idcard': ('122', 6.0, 9.0, '0838798044', '76'),
+    'loss_examcard': ('123', 3.0, 4.5, '0838798044', '76'),
+    'loss_result': ('124', 200.0, 300.0, '0838798044', '76'),
+    'loss_receipt': ('125', 200.0, 300.0, '0838798044', '76'),
+    'loss_clearance': ('126', 200.0, 300.0, '0838798044', '76'),
+    'conv_brochure': ('127', 200.0, 300.0, '0838798044', '76'),
+    'hnd_certificate': ('128', 200.0, 300.0, '0838798044', '76'),
+    'hnd_state_result': ('129', 200.0, 300.0, '0838798044', '76'),
+    'hnd_transcript_local': ('130', 200.0, 300.0, '0838798044', '76'),
+    'hnd_transcript_foreign': ('131', 200.0, 300.0, '0838798044', '76'),
+    'staff_loss_idcard': ('132', 6.0, 9.0, '0838798044', '76'),
+    'hnd_conv_brochure': ('133', 200.0, 300.0, '0838798044', '76'),
+    'pgd_state_result': ('134', 200.0, 300.0, '0838798044', '76'),
+    'pgd_conv_brochure': ('135', 200.0, 300.0, '0838798044', '76'),
+    'pgd_certificate': ('136', 200.0, 300.0, '0838798044', '76'),
+    'log_book': ('137', 3.0, 4.5, '0838798044', '76'),
+    'pgd_transcript_foreign': ('138', 200.0, 300.0, '0838798044', '76'),
+    'pgd_transcript_local': ('139', 200.0, 300.0, '0838798044', '76'),
+    'jamb_regularization': ('140', 200.0, 300.0, '0838798044', '76'),
+    'utme_registration': ('142', 6.0, 9.0, '0838798044', '76'),
+    'utme_cbt': ('143', 6.0, 9.0, '0838798044', '76'),
+    'nysc_id_card': ('144', 6.0, 9.0, '0838798044', '76'),
+    'ijmb_result': ('147', 200.0, 300.0, '0838798044', '76'),
     }
 
@@ -124,6 +124,6 @@
         gateway_amt = GATEWAY_AMT
         self.pay_item_id = '000'
-        xmldict['institution_acct'] = "0106259811"
-        xmldict['institution_bank_id'] = "10"
+        xmldict['institution_acct'] = '0838798044'
+        xmldict['institution_bank_id'] = '76'
         if self.context.p_category == 'schoolfee' \
             or self.context.p_category.startswith('carryover'):
@@ -133,29 +133,29 @@
             if not student.current_mode.endswith('_we'):
                 if xmldict['faculty'] in ('CPGS',):
-                    xmldict['institution_acct'] = "0106259811"   
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '0838798044'
+                    xmldict['institution_bank_id'] = '76'
                 elif xmldict['faculty'] in ('IAS',):
-                    xmldict['institution_acct'] = "0106259811"  
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '0838798044'
+                    xmldict['institution_bank_id'] = '76'
                     self.pay_item_id = '107'
                 elif xmldict['faculty'] in ('IES',):
-                    xmldict['institution_acct'] = "0106259811" 
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '0838798044'
+                    xmldict['institution_bank_id'] = '76'
                     self.pay_item_id = '109'
                 elif xmldict['faculty'] in ('IFMS',):
-                    xmldict['institution_acct'] = "0106259811" 
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '0838798044'
+                    xmldict['institution_bank_id'] = '76'
                     self.pay_item_id = '106'
                 elif xmldict['faculty'] in ('IOT',):
-                    xmldict['institution_acct'] = "0106259811"    
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '0838798044'
+                    xmldict['institution_bank_id'] = '76'
                     self.pay_item_id = '110'
                 elif xmldict['faculty'] in ('IICT',):
-                    xmldict['institution_acct'] = "0106259811" 
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '0838798044'
+                    xmldict['institution_bank_id'] = '76'
                     self.pay_item_id = '108'
             else:
-                xmldict['institution_acct'] = "0106259811"  
-                xmldict['institution_bank_id'] = '10'
+                xmldict['institution_acct'] = '0838798044'
+                xmldict['institution_bank_id'] = '76'
                 #Introduce a pay_item_id for part-time for the first time on this portal
                 self.pay_item_id = '145'
@@ -168,12 +168,12 @@
         elif 'maintenance' in self.context.p_category:
             self.pay_item_id = '102'
-            xmldict['institution_acct'] = "0106259811"
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
             dalash_amt = 0.0
             provider_amt = 0.0
         elif 'clearance' in self.context.p_category:
             self.pay_item_id = '146'
-            xmldict['institution_acct'] = "0106259811"
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
         else:
             xmldict['institution_acct'] = "0000000000000"
@@ -249,22 +249,22 @@
         xmldict['institution_bank_id'] = '00'
         if self.applicant.applicant_id.startswith('hnd'):
-            xmldict['institution_acct'] = '0106259811'
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
         elif self.applicant.applicant_id.startswith('nd'):
-            xmldict['institution_acct'] = '0106259811'
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
         elif self.applicant.applicant_id.startswith('rmd'):
-            xmldict['institution_acct'] = '0106259811'
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
         elif self.applicant.applicant_id.startswith('pgft'):
-            xmldict['institution_acct'] = '0106259811'
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
         elif self.applicant.applicant_id.startswith('putme'):
-            xmldict['institution_acct'] = '0106259811'
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
             self.pay_item_id = '104'
         elif self.applicant.applicant_id.startswith('pre'):
-            xmldict['institution_acct'] = '0106259811'
-            xmldict['institution_bank_id'] = '10'
+            xmldict['institution_acct'] = '0838798044'
+            xmldict['institution_bank_id'] = '76'
             provider_amt = 262.5
             dalash_amt = 0.0
Index: /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14328)
+++ /main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 14329)
@@ -162,5 +162,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee" item_amt="2920000" bank_id="10" acct_num="0106259811"' in
+            'item_name="School Fee" item_amt="2920000" bank_id="76" acct_num="0838798044"' in
             self.browser.contents)
         self.assertTrue(
@@ -223,5 +223,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="Hostel Maintenance" item_amt="57600" bank_id="10" acct_num="0106259811"' in
+            'item_name="Hostel Maintenance" item_amt="57600" bank_id="76" acct_num="0838798044"' in
             self.browser.contents)
 
@@ -248,5 +248,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="One Carry-Over" item_amt="270000" bank_id="10" acct_num="0106259811"' in
+            'item_name="One Carry-Over" item_amt="270000" bank_id="76" acct_num="0838798044"' in
             self.browser.contents)
         self.assertTrue(
@@ -547,5 +547,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="253300" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
 
@@ -559,5 +559,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="253300" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
         # Commission or bribe?
@@ -580,5 +580,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="303300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="303300" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
         self.assertFalse('Dalash' in self.browser.contents)
@@ -597,5 +597,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="303300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="303300" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
         self.assertFalse('Dalash' in self.browser.contents)
@@ -618,5 +618,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="253300" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
         self.assertTrue(
@@ -642,5 +642,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Application" '
-            'item_amt="253300" bank_id="10" acct_num="0106259811" />'
+            'item_amt="253300" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
         delta = timedelta(days=8)
@@ -692,5 +692,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="ND Transcript (local)" '
-            'item_amt="450000" bank_id="10" acct_num="0106259811" />'
+            'item_amt="450000" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
 
@@ -705,5 +705,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Log Book" '
-            'item_amt="55444" bank_id="10" acct_num="0106259811" />'
+            'item_amt="55444" bank_id="76" acct_num="0838798044" />'
             in self.browser.contents)
 